% fit2err.m loss evaluator function to go with e2fit.m
% Second Order Exponential Fit: Iron Loss or Reactive Energy
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
function e = fit2err(FVECT)
global B P % required for the evaluator
B0 = 1;
P0 = FVECT(1);
EX = FVECT(2);
P1 = FVECT(3);
EX2 = FVECT(4);
Pf = P0 .* (B ./ B0) .^ EX + P1 .* (B ./ B0) .^ EX2;
e = sum((Pf - P) .^2);


