% fiterr.m loss evaluator function to go with e2fit.m
% First Order Exponential Fit: Iron Loss or Reactive Energy
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
function e = fiterr(FVECT)
global B P % required for the evaluator
B0 = 1;
P0 = FVECT(1);
EX = FVECT(2);
Pf = P0 .* (B ./ B0) .^ EX;
e = sum((Pf - P) .^2);


