% pfit.m
% Polynomial Fit: Iron Loss or Reactive Energy
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
B0 = 1;
fprintf('Polynomial Curve Fit\n');
foo = input('Fit What? (name.prn) name ==> ','s');
n = input('Polynomial Fit Order ==> ');
fname = [foo '.prn'];
eval(['load ' fname]);
eval(['data = ' foo ';']);
B = data(:,1)';
P = data(:,2)';
fv = [1 2]';
c = polyfit(B, P, n);
Pfit = polyval(c, B);
figure(1)
semilogy(B, Pfit, B, P, 'o');
title('Polynomial Curve Fit');
xlabel('Flux Density, T');
ylabel('Watts or Vars Per Unit Mass');

fprintf('Here are the coefficients\n')
for k = 1:length(c)
    fprintf('Order %5.0f  Coeff = %g\n', k, c(k))
end
e = sum(abs(Pfit ./ P - 1) .^2)/sum(P .^2);
fprintf('Fit Results: polynomial coefficients = ');
fprintf('\nRelative Error = %g\n',e);

