% Power Limit Estimator: Cylindrical Machine

% Copyright 1995, 1997 James L. Kirtley Jr.

% See 6.11s copyright statement for rules of use

fprintf('Power Limit Estimator\n');

tau = input('Shear Stress Level (Pa) ==> ');

u = input('Tip Speed Limit (m/sec) ==> ');

rat = input('Length to Diameter Ratio ==> ');

min = input('Minimum RPM ==> ');

max = input('Maximum RPM ==> ');

rpm = min:(max-min)/100:max;

om = (pi/30) .* rpm;

rad = u ./ om;

len = 2 * rat .* rad;

trq = 2 * pi * tau .* rad .^2 .* len;

pwr = trq .* om;

semilogy(rpm, pwr);

grid

xlabel('RPM')

ylabel('Power Limit')

title('Cylindrical Machine')

