% tc.m 

% Compare Radial Flux and Axial Flux Machines
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
% Caution: uses very abstract models!
% This is for tip speed not limited situations
% Elementary Parameters Must Be Input First:

fprintf('Axial vs. Radial Comparison\n');
J0 = input('Useful (slot) Current Density (A/m^2) ==> ');
B0 = input('Useful flux density (in magnetic material (T) ==> ');
lamsd = input('Slot Fraction for Disk Machine (inner R) ==> ');
lamsr = input('Slot Fraction for Radial Flux Machine ==> ');
xr = input('Disk Radius Ratio (inner/outer) ==> ');
ld = input('Length to Diameter Ratio for Radial ==> ');
p = input('Number of Pole Pairs (both machines) ==> ');
T = input('Required Torque (N-m) ==> ');
hs = input('Slot Height for Stator (m) ==> ');
Nd = input('Number of Disks ==> ');

[Rr, Ror, Lr] = tdensr (p, T, ld, hs, B0, J0, lamsr);
[Rd, Rod, Ld] = tdensd (p, T, xr, hs, B0, J0, Nd, lamsd);
% Calculation of D^2 L:
dsld = Rod^2 * Ld;
dslr = Ror^2 * Lr;
fprintf('\n      Comparison Summary:\n');
fprintf('Required Torque = %g\n',T);
fprintf('Useful (RMS) Current Density = %g  Flux Density = %g\n',J0,B0);
fprintf('Slot Depth = %g  Pole Pairs = %g\n',hs, p);
fprintf('Disk Radius Ratio = %g  Number of Disk Pairs = %g\n',xr, Nd);
fprintf('Slot Ratio (Radial) = %g  Disk = %g\n',lamsr, lamsd);
fprintf('Length to Diameter Ratio = %g\n',ld);
fprintf('Results:\n');
fprintf('             Radial     Axial\n');
fprintf('Active Radius %12g   %12g\n',Rr, Rd);
fprintf('Outer  Radius %12g   %12g\n',Ror, Rod);
fprintf('Length        %12g   %12g\n',Lr, Ld);
fprintf('D^2 L         %12g   %12g\n',dslr, dsld);



