% volrr.m plots machine active volume vs. radius ratio
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
% Caution: uses very abstract models!
% This is for tip speed not limited situations
% requires variables to be input
fprintf('volrr.m: Active Volume vs. Radius Ratio For a Disk Machine\n');
p = input('Number of Pole Pairs ==> ');
T = input('Required Torque (N-m) ==> ');
xmin = input('Smallest Radius Ratio (inner/outer) ==> ');
xmax = input('Largest Radius Ratio (inner/outer) ==> ');
hs = input('Disk Thickness (m) ==> ');
J0 = input('Current Density (A/m^2) ==> ');
B0 = input('Flux Density (T) ==> ');
Nd = input('Number of Disks ==> ');
lamsd = input('Slot Ratio at Inner Radius ==> ');

x = xmin:(xmax-xmin)/20:xmax;
[rde, rdo, ldo] = tdensd(p, T, x, hs, B0, J0, Nd, lamsd);
v = rdo .^2 .* ldo;
figure(1)
plot(x, v);
title('Torque Machine Volume');
xlabel('Radius Ratio Ri/Ro');
ylabel('Volume, m^3');
