% volsr.m plots machine active volume vs. slot ratio
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 6.11s copyright statement for rules of use
% Caution: uses very abstract models!
% This is for tip speed not limited situations
% requires input variables

fprintf('volsr.m: Disk Machine Volume vs. Slot Ratio\n');
p = input('Number of Pole Pairs ==> ');
T = input('Required Torque (N-m) ==> ');
smin = input('Smallest Slot Ratio (inner radius) ==> ');
smax = input('Largest Slot Ratio (inner radius) ==> ');
hs = input('Disk Thickness (m) ==> ');
J0 = input('Current Density (A/m^2) ==> ');
B0 = input('Flux Density (T) ==> ');
Nd = input('Number of Disks ==> ');
x = input('Radius Ratio inner/outer ==> ');

lams = smin:(smax-smin)/50:smax;
[rde, rdo, ldo] = tdensd(p, T, x, hs, B0, J0, Nd, lams);
v = rdo .^2 .* ldo;
figure(1)
plot(lams, v);
string = sprintf('Disk Machine Torque = %g N-m',T);
title(string);
xlabel('Slot Ratio at Inner Radius');
ylabel('Volume, m^3');
