% Torque-Angle Curve for a Salient Pole Machine
% Copyright 1995, 1997 James L. Kirtley Jr.
% see 611s copyright statement for rules of use
xd = input('Direct Axis Reactance xd ==> ');
xq = input('Quadrature Axis Reactance xq ==> ');
eaf = input('Voltage Behind Synchronous Reactance eaf ==> ');
% Assume one per-unit voltage
v=1;
d = -pi:pi/100:pi;
t = (v*eaf/xd) .* sin(d) + (v^2/2)*(1/xq-1/xd) .* sin(2 .* d);
clf
figure(1)
plot(d,t);
title('Torque-Angle Curve');
xlabel('Torque Angle, Radians')
ylabel('Per-Unit Torque')
