function psidot = sf(t, psi);
% derivatives file for fault simulator
% copyright 1995, 1997 James L. Kirtley Jr.
% see 611s copyright statement for rules of use

global ydd ydk ykd ydf yff yqq yqk ykf ykq rf rkd rkq ra omz vf

psid = psi(1);
psiq = psi(2);
psikd = psi(3);
psikq = psi(4);
psif = psi(5);

id = ydd * psid + ydk * psikd + ydf * psif;
ikd = ydk * psid + ykd * psikd + ykf * psif;
iff = ydf * psid + ykf * psikd + yff * psif;

iq = yqq * psiq + yqk * psikq;
ikq = yqk * psiq + ykq * psikq;

psdot1 = omz*psiq - omz*ra*id;
psdot2 = -omz*psid - omz*ra*iq;
psdot3 = -omz*rkd*ikd;
psdot4 = -omz*rkq*ikq;
psdot5 = omz*(vf - rf*iff);

psidot = [psdot1 psdot2 psdot3 psdot4 psdot5]';
