function statedot = ds(t, state);

% state equations for swing simulation
% copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for Rules of Use

global ydd ydk ykd ydf yff yqq yqk ykf ykq rf rkd rkq ra omz vf va H

psikd = state(1);
psikq = state(2);
psif = state(3);
omega = state(4);
delta = state(5);

psid = va*cos(delta);
psiq = -va*sin(delta);

id = ydd * psid + ydk * psikd + ydf * psif;
ikd = ydk * psid + ykd * psikd + ykf * psif;
iff = ydf * psid + ykf * psikd + yff * psif;

iq = yqq * psiq + yqk * psikq;
ikq = yqk * psiq + ykq * psikq;

st1 = -omz*rkd*ikd;
st2 = -omz*rkq*ikq;
st3 = omz*(vf - rf*iff);
st4 = (omz/(2*H)) * (psid*iq - psiq*id);
st5 = omega - omz;

statedot = [st1 st2 st3 st4 st5]';
