% ****************************************************************** %
%                                                                    %
%                           PMBM.M                                   %
%            Permanent Magnet Motor, Stator in Slots                 %
%             Internal (Flux Concentrating) Magnets                  %
%          Copyright 1995, 1997 James L. Kirtley Jr.                 %
%                                                                    %
% ****************************************************************** %
% bmout.m: output of major attributes
% requires pmbm to be run first!
% see 6.11s copyright statement for rules of use

% Output Section:
clc
fprintf('Permanent Magnet Motor Design: Buried Magnet, Conventional Stator\n');
fprintf('Rotor radius =      %10.3f  Active length =  %10.3f\n',r,l);
fprintf('Magnet Height =     %10.3f  Magnet Width  =  %10.3f\n',hm,wm);
fprintf('Air gap =           %10.4f  Pole Pairs =     %10.0f\n', g, p);
fprintf('Magnet Remanence =  %10.2f  Fund Field =     %10.2f\n',Br, B1); 
fprintf('Rating =   (w)      %10.0f  Speed (RPM)  =   %10.0f\n', Preq, rpm);
fprintf('Tooth Flux Den =    %10.2f  Back Iron    =   %10.2f\n', Bt, Bb);
fprintf('Armature Cur Den  = %10.1g  Tip Speed    =   %10.0f\n', Ja, stip);
fprintf('Voltage   =         %10.0f  Current    =     %10.1f\n', Va, Ia);
fprintf('Core Loss =         %10.0f  Armature Loss  = %10.0f\n', Pc, Pa);
fprintf('Fan Loss   =        %10.0f  Windage Loss =   %10.0f\n', pfan, pwind);
fprintf('Efficiency  =       %10.3f  Power Factor  =  %10.3f\n', eff, pfact);
fprintf('Reactance xd =      %10.3f  xq =             %10.3f\n', xd, xq);
fprintf('Overall Diameter =  %10.3f  Overall Length = %10.3f\n',Dover,Lover);
fprintf('Weights (kg)\n');
fprintf('Core   =            %10.2f   Poles =         %10.2f\n',Mc,Mp);
fprintf('Magnet =            %10.2f   Armature =      %10.2f\n',Mm, Ma);

