% ****************************************************************** % 
%                                                                    % 
%                           PMBM.M                                   % 
%            Permanent Magnet Motor, Stator in Slots                 % 
%                         Surface Magnets                            % 
%          Copyright 1995, 1997, 2002 James L. Kirtley Jr.           % 
%                                                                    % 
% ****************************************************************** % 
% pmout.m: output of major attributes % requires pmbm to be run first! 
% see 6.11s copyright statement for rules of use  
% Output Section: 
clc 
fprintf('Permanent Magnet Motor Design: Surface Magnet, Conventional Stator\n'); 
fprintf('Rotor radius =      %10.3f m Active length =  %10.3f m\n',r,l); 
fprintf('Magnet Height =     %10.3f m Magnet Angle  =  %10.3f rad\n',hm,thme); 
fprintf('Air gap =           %10.4f m Pole Pairs =     %10.0f\n', g, p);
fprintf('Magnet Remanence =  %10.2f T Fund Field =     %10.2f T\n',Br, B1); 
fprintf('Rating =            %10.0f W Speed        =   %10.0f RPM\n', Pout, rpm);
fprintf('Converted  =        %10.0f W Input =          %10.0f W\n', Pconv, Pin);
fprintf('Tooth Flux Den =    %10.2f T Back Iron    =   %10.2f T\n', Bt, Bb);
fprintf('Terminal Voltage =  %10.2f V Internal V   =   %10.2f V RMS\n', Va, Ea);
fprintf('Armature Cur Den  = %10.3g A/m^2 Tip Speed  = %10.0f m/S\n', Ja, stip);
fprintf('Current    =        %10.1f A\n', Ia);
fprintf('Core Loss =         %10.0f W Armature Loss  = %10.0f W\n', Pc, Pa);
fprintf('Fan Loss   =        %10.0f W Windage Loss =   %10.0f W\n', pfan, pwind);
fprintf('Efficiency  =       %10.3f   Power Factor  =  %10.3f\n', eff, pfact);
fprintf('Overall Diameter =  %10.3f m Overall Length = %10.3f m\n',Dover,Lover);
fprintf('Neg Spring Rate =   %10.3g N/m\n', dfdd)
fprintf('Weights (kg)\n');
fprintf('Core   =            %10.2f   Shaft =         %10.2f\n',Mc,Ms);
fprintf('Magnet =            %10.2f   Armature =      %10.2f\n',Mm, Ma);
