% ****************************************************************** %
%                                                                    %
%                           PMRS.M                                   %
%            Permanent Magnet Motor, Stator in Slots                 %
%                         Surface Magnets                            %
%         Copyright 1995, 1997 James L. Kirtley Jr.                  %
%                                                                    %
% ****************************************************************** %
% svars.m save input variables script 

% see 6.11s copyright statement for rules of use
% 
fid = fopen('pmtemp.m', 'w');
fprintf(fid,'rpm=%g;       %% Rotational Speed, RPM\n',rpm);
fprintf(fid,'Preq=%g;      %% Required power, watta\n',Preq);
fprintf(fid,'psi=%g;       %% Output power factor angle, radians\n',psi);
fprintf(fid,'r=%g;         %% Rotor radius, meters\n',r);
fprintf(fid,'g=%g;         %% Rotational Air-gap dimension, meters\n',g);
fprintf(fid,'l=%g;         %% Active Length, meters \n',l);
fprintf(fid,'hm=%g;        %% magnet radial height, meters\n',hm);
fprintf(fid,'p=%g;         %% number of pole pairs \n',p);
fprintf(fid,'m=%g;         %% number of slots/pole/phase\n',m);
fprintf(fid,'nsp=%g;       %% slots short pitched (zero if winding is full pitched)\n',nsp);
fprintf(fid,'lamt=%g;      %% tooth peripheral space factor\n',lamt);
fprintf(fid,'fsd=%g;       %% ratio of slot depth to rotor radius\n',fsd);
fprintf(fid,'hd=%g;        %% depth of stator slot depression, in meters\n',hd);
fprintf(fid,'wd=%g;        %% width of stator slot depression, in meters\n',wd);
fprintf(fid,'fbi=%g;       %% back iron fraction p*back iron depth/rotor radius (see text)\n',fbi);
fprintf(fid,'nc=%g;        %% number of turns in series per coil\n',nc);
fprintf(fid,'nh=%g;        %% number of turns in parallel (in hand) \n',nh);
fprintf(fid,'lama=%g;      %% winding space factor (area of conductor in a slot/area of slot)\n',lama);
fprintf(fid,'Br=%g;        %% magnet remanent flux density \n',Br);
fprintf(fid,'thme=%g;      %% magnet ELECTRICAL angle\n',thme);
fprintf(fid,'siga=%g;      %% stator conductor conductivity (at temperature)\n',siga);
fprintf(fid,'P0=%g;        %% Base dissipation level for stator iron (exponential model), W/kg \n',P0);
fprintf(fid,'F0=%g;        %% Base frequency for stator iron loss model\n',F0);
fprintf(fid,'B0=%g;        %% Base flux density for stator iron loss model\n',B0);
fprintf(fid,'epf=%g;       %% Frequecy exponential for stator iron loss model\n',epf);
fprintf(fid,'epb=%g;       %% Flux density exponential for stator iron loss model\n',epb);
fprintf(fid,'rhos=%g;      %% Mass density of steel, kg/m^3 \n',rhos);
fprintf(fid,'rhom=%g;      %% Mass density of magnet, kg/m^3 \n',rhom);
fprintf(fid,'rhoc=%g;      %% Mass density of stator conductor, kg/m^3\n',rhoc);
fprintf(fid,'dtt=%g;       %% Allowed temperature rise of cooling air (for fan loss model)\n',dtt);
fprintf(fid,'etf=%g;       %% Assumed fan efficiency (for fan loss model)\n',etf);
!mv pmtemp.m rvars.m
fprintf('Your variables are saved in rvars.m\n');

