function pden = fepwr(B, om, P0, B0, om0, epb, epf)

% fepwr.m iron loss density (watts/kg)
% for use with motor.m and other motor design scripts
% employs single exponential model for loss
% required input parameters
% P0 is loss density are base frequency om0 and flux density B0
% frequency exponent is epf
% flux density exponent is eps

pden = P0 * abs(B/B0) ^ epb * abs(om/om0) ^ epf;
