function varden = fevar(B, om, B0, P0, ep1, P1, ep2 , om0)

% fevar.m reactive density (va/kg)
% for use with motor.m and other motor design scripts
% employs double exponential model for loss
% required input parameters
% P0 is partial var density with exponential ep1
% P1 is partial var density with exponential ep2
% frequency exponential is assumed to be unity
% base frequency is om0 and base flux density is B0

varden = (P0 * abs(B/B0) ^ ep1 + P1 * abs(B/B0) ^ ep2) * abs(om/om0);
