% ************************************************************** %
%                                                                %
%                 Polyphase Motor Design Program                 %
%                            MOTOR                               %
%                     Single Squirrel Cage                       %
%       Parallel Rotor Body Conductivity (nonlinear model)       %
%                    Copyright 1994, 1995, 1997                  %
%                       J.L. Kirtley Jr.                         %
%                                                                %
% ************************************************************** %
% See 6.11s Copyright Statement for Rules of Use
% motdet.m
% Provides detailed analysis of motor losses and checks

fprintf('Motor Analysis\n');
fprintf('Motor Rating = %g   Speed = %g RPM\n',pmech,rpm);
fprintf('Voltage = %g   Current = %g\n',volt,amps);
fprintf('Watts = %g    Vars = %g\n',watts, vars);
fprintf('Efficiency = %g   Power Factor = %g\n',eff, pfact);
fprintf('Gap Shear = %g    Gap Heat Flux = %g\n',shear, hflux);
fprintf('Armature Current Density Ja = %g  Tip Speed = %g \n',Ja,tipsp);
fprintf('Tooth Flux Dens = %g   Core Flux Dens = %g\n',bt, bc);
fprintf('Gap Flux Dens = %g   Rotor Tooth Flux Dens = %g\n',bg,brt);
fprintf('Loss Details:\n');
fprintf('Core Loss = %g   Armature Loss = %g\n',Pc, Pa);
fprintf('Rotor Surface No-load = %g   Load = %g\n',Psurf,Pdt);
fprintf('Rotor Body No-Load = %g   Air-Gap = %g\n',Prsurf,pconv);
fprintf('Fan Load = %g    Windage Loss = %g\n',pfan, pwind);
fprintf('Component Converted Cage  Body Loss Cage Body\n');
fprintf('Fund   %10g  %10g  ',pemf, pemfs);
fprintf('%10g  %10g\n',Pfc,Pfs);
fprintf('five   %10g  %10g  ',pem5c, pem5s);
fprintf('%10g  %10g\n',P5c,P5s);
fprintf('seven  %10g  %10g  ',pem7c, pem7s);
fprintf('%10g  %10g\n',P7c,P7s);
fprintf('zigneg %10g  %10g  ',pemmc, pemms);
fprintf('%10g  %10g\n',Pmc,Pms);
fprintf('zigpos %10g  %10g  ',pempc, pemps);
fprintf('%10g  %10g\n',Ppc,Pps);
Paudit1=pconv-pslip-pmech-pfan-pwind-Psurf-Pdt-Prsurf;
Paudit2=watts-pconv-Pc-Pa;
fprintf('Audits = %g   %g\n',Paudit1,Paudit2);
 
