function k = windf(n, p, ma, nst);

% k = windf(n, p, ma, nst);
% windf.m generate winding factor
% this one does a regular winding, characterized by
% number of slots per pole per phase		ma
% number of pole pairs				p
% short pitch number 				nst
% harmonic order number 			n

ns = ma * (6 * p);			% total stator slot count
gama = 2*pi*p/ns;			% electrical slot pitch
nct = 3*ma-nst;				% coil throw (slots)
alfa = p*pi*nct/ns;			% winding pitch	
kb = sin(n*ma*gama/2)/(ma*sin(n*gama/2));	% breadth factor
kp = sin(n*alfa/2);				% pitch factor
k = kb*kp;

