function xdot = fifth(t, x)        %Fifth Order Acceleration

% Copyright 1995 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use

global x1 x2 xad r1 r2 J pp omz vt

vd = 0;					% coordinate system pinned to
vq = vt;				% terminal voltage
xkd = xad+x2;				% useful reactance parameters
xd = xad+x1;
xdp = xd - xad^2/xkd;

psid = x(1);			% stator state variables
psiq = x(2);
psikd = x(3);			% rotor state variables
psikq = x(4);
omm = x(5);			% and speed
s = 1-pp*omm/omz;		% per-unit slip
oms = s*omz;			% rotor frequency
% simulation is done in ordinary units (not per-unit)
xd1 = vd + omz*psiq - r1 * omz*(psid/xdp - (xad/xkd)*(psikd/xdp));
xd2 = vq - omz*psid - r1 * omz*(psiq/xdp - (xad/xkd)*(psikq/xdp));
xd3 = oms*psikq - r2*omz*(-(xad/xkd)*(psid/xdp) + (xd/xdp)*(psikd/xkd));
xd4 = -oms*psikd - r2*omz*(-(xad/xkd)*(psiq/xdp) + (xd/xdp)*(psikq/xkd));
xd5 = 3*pp*(xad/(xkd*xdp))*omz*(psiq*psikd-psid*psikq)/J;

xdot = [xd1 xd2 xd3 xd4 xd5]';
