function xdot = first(t, x)        % First Order Acceleration

% Copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use

global x1 x2 xad r1 r2 J pp omz vt

omm = x;			% rotational frequency
s = 1-pp*omm/omz;		% per-unit slip
zr = r2/s + j*x2;		% rotor impedance
zm = j*xad;			% magnetizing impedance
zag = zm*zr/(zm+zr);		% looking across the air-gap
zt = zag + j*x1 + r1;		% terminal impedance
ia = vt / zt;			% terminal current
ir = ia * zm / (zm+zr);		% rotor current
pag = 3*abs(ir)^2 * r2/s;	% air-gap power
xdot = (pag/omz) * pp / J;	% torque over inertia
