% First Order Model: Induction Motor Acceleration
% Must run parms.m first to input parameters
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use

t0=[0];					
fprintf('First Order Induction Machine Simulation \n');

tf= input('Simulate for how long? (sec) ==> ');

x0=0;					% start from rest
tspan = [t0 tf];
options = odeset('reltol',3e-4,'abstol',3e-6);
[t,x] = ode45('first',tspan,x0,options);	% this is the simulator
rpm = (60/(2*pi)) .* x;			% just translates units
figure(1)
clf
plot(t, rpm);				% draw picture
xlabel('Seconds');
ylabel('RPM');
title('Starting: First Order Model');


