% Third Order Model: Induction Motor Acceleration
% Must run parms.m first to input parameters
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use

t0=0;
tf=input('Simulate for how long? (sec) ==> ');
x0=[0 0 0]';				% start from rest
tspan = [t0 tf];
options = odeset('reltol',1e-4,'abstol',[1e-6 ]);

[t,x] = ode45('third',tspan,x0,options);	% this is the simulator
rpm = (60/(2*pi)) .* x(:,3);		% just translate units
figure(2)
clf
plot(t, rpm);				% draw picture
xlabel('Time, Seconds');
ylabel('Speed, RPM');
title('Starting, Third Order Model');

