% Fifth Order Model: Induction Motor Acceleration
% Must run parms.m first to input parameters
% Copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use

t0=0;
tf = input('Simulate for how long? (sec) ==> ');
NP  = input('How many points to plot? ==> ');
fprintf('Hang on... ');
dt = tf/NP;				% simulation interval
x0=[0 0 0 0 0]';			% starts from rest
tspan = 0:dt:tf;      % time span for simulation

[t, x] = ode23('fifth', tspan, x0);
rpm = (30/pi) .* x(:,5);
tim = t';

fprintf('Done\n');
figure(3)
clf
plot(tim, rpm);
xlabel('Time, Seconds');
ylabel('Speed, RPM');
title('Starting, Fifth Order Model');
