function xdot = third(t, x)        %Third Order Acceleration

% Copyright 1995, 1997 James L. Kirtley Jr.
% See 611s Copyright Statement for rules of use
global x1 x2 xad r1 r2 J pp omz vt

xkd = xad+x2;				% useful reactance parameters
xd = xad+x1;
xdp = xd - xad^2/xkd;

psikd = x(1);			% state variables: rotor flux
psikq = x(2);
omm = x(3);			% and rotational speed
psid = vt/omz;			% stator flux determined by terminal
psiq = 0;			% voltage: vt on q- axis
s = 1-pp*omm/omz;		% per-unit slip
oms = s*omz;			% slip frequency on rotor
xkd = xad+x2;			% rotor reactance
xd = xad+x1;			% stator reactance
xdp = xd - xad^2/xkd;		% transient reactance
iq = omz*(-(xd/xdp)*(psikq/xkd)); % q- axis current
				% here are rotor currents
ikd = omz*(-(xad/xkd)*(psid/xdp) + (xd/xdp)*(psikd/xkd));
ikq = omz*(-(xad/xkd)*(psiq/xdp) + (xd/xdp)*(psikq/xkd));

xd1 = oms*psikq - r2*ikd;	% time derivatives of state variables
xd2 = -oms*psikd - r2*ikq;	% note this simulation calculates these
xd3 = 3*pp*psid*iq/J;	% in ordinary (not per-unit) units

xdot = [xd1 xd2 xd3]';
