%  This script loads the machine parameters for a 3hp, 180 V (L-N, peak) AC
%  induction machine into the global environment.
%  Run this code to load sample machine parameters before simulating with
%  ind.
%
%  This software is distributed in the hope that it will be useful, but
%  WITHOUT ANY WARRANTY.  It is for educational use only.  Please do not
%  distribute or sell this software, or remove the copyright notice.  
%
%  Copyright, 1995, 1997, 1998, 2000  Steven B. Leeb
global P rs rr Xm X1s X1r we J Bl vds vqs vqr vdr Tl
% These are the machine parameters for a 3 Hp, 180V (L-N, peak) AC 
% induction machine.
P = 4;        % Number of poles (*not* pole pairs)
rs = 0.435;   % Stator resistance
rr = 0.816;   % Rotor resistance
Xm = 26.13;   % Magnetizing Impedance, in Ohms on a 60 Hz base
X1s = 0.754;  % Stator Side Leakage Impedance, in Ohms on a 60 Hz base
X1r = 0.754;  % Rotor Side Leakage Impedance, in Ohms on a 60 Hz base
we = 377.;    % Base electrical frequency, rads per second (60 Hz)
J = .089;     % Rotor Inertia
Bl = 0;       % Load Damping Coefficient
vds = 0.0;    % D axis stator voltage
vqs = 180.0;  % Q axis stator voltage
vqr = 0.0;    % D axis rotor voltage
vdr = 0.0;    % Q axis rotor voltage
Tl = 0.0;     % Load torque











