%  This script runs the AC induction motor FOC simulation 
%  Constant torque after t = 0.6 seconds, with no load.
%
%  This software is distributed in the hope that it will be useful, but
%  WITHOUT ANY WARRANTY.  It is for educational use only.  Please do not
%  distribute or sell this software, or remove the copyright notice.  
%
%  Copyright, 1995, 1998, 2002  Steven B. Leeb
indparam
time = [0 2.0]';
state0 = [0 0 0 0 0]';
[tout,yout] = ode45('foc',time, state0);
figure(1)
clf
plot(tout,yout(:,3));
xlabel('Time, Seconds');
ylabel('Rotor Position, Radians')
title('Constant Torque, No-load, FOC performance');


