%  This script loads the machine parameters for a 5hp, 120 V DC
%  series motor
%  Run this code to load sample machine parameters before simulating with
%  dcseries or dcshunt. 
%
%  This software is distributed in the hope that it will be useful, but
%  WITHOUT ANY WARRANTY.  It is for educational use only.  Please do not
%  distribute or sell this software, or remove the copyright notice.  
%
%  Copyright, 1995, 1997, 1998, 2000  Steven B. Leeb

global Rf Ra Lf La G Bl Bm J va

% These are the machine parameters for a 5 Hp, 240V DC machine

Rf = .5;      % Field Resistance
Ra = 0.036;      % Armature Resistance
Lf = .450;      % Field Inductance
La = .050;     % Armature Inductance
G = .0258;       % Machine Constant
Bl = 0.35;        % Load Damping Coefficient
%Bm = .2287;    % Motor Damping Coefficient
Bm = 0;
J = 1;         % Rotor Inertia
va  = 120;     % Peak Armature Voltage

