%  This script loads the machine parameters for a 5hp, 240 V DC
%  machine into the global environment.
%  Run this code to load sample machine parameters before simulating with
%  dcseries or dcshunt. 
%
%  This software is distributed in the hope that it will be useful, but
%  WITHOUT ANY WARRANTY.  It is for educational use only.  Please do not
%  distribute or sell this software, or remove the copyright notice.  
%
%  Copyright, 1995, 1997, 1998, 2000  Steven B. Leeb

global Rf Ra Lf La G Bl Bm J vf va

% These are the machine parameters for a 5 Hp, 240V DC machine

Rf = 240;      % Field Resistance
Ra = 0.6;      % Armature Resistance
Lf = 120;      % Field Inductance
La = .012;     % Armature Inductance
G = 1.8;       % Machine Constant
Bl = 0;        % Load Damping Coefficient
%Bm = .2287;    % Motor Damping Coefficient
Bm = 0;
J = 1;         % Rotor Inertia
vf  = 240;     % Peak Field Voltage
va  = 240;     % Peak Armature Voltage

