% This script displays motor details
% For use with permanent motor scripts and the NDA
% Copyright 1997  James L. Kirtley Jr.
% See 6.11s Copyright Notice for Rules of Use
clc
fprintf('Summary Motor/Generator Attributes\n');
fprintf('         Cost     Mass    Dia    Length  Inertia  MotorJ  Gen J   Gen\n');
fprintf('          $        kg      m       m      kg-m^2  X10^7   X10^7   Eff\n');
for r = 1:NDE,
  Cost = 1/MA(r,1);
  Mass = 1/MA(r,2);
  Dia = 1/MA(r,3);
  Len = 1/MA(r,4);
  J = 1/MA(r,5);
  MJ = 10^(-7)/MA(r,6);
  GJ = 10^(-7)/MA(r,7);
  Eff = MA(r,8);
  fprintf('%7.0f %7.2f %7.2f %7.3f %7.3f %7.3f %7.2f %7.2f %7.3f\n',...
            r, Cost,Mass,Dia,Len,J,MJ,GJ,Eff);
end
